<?php

/**
 * Phire Assets Add Files
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../bootstrap.php';
require_once '../core/process/session.check.php';

include_once '../core/process/init.php';
include_once '../core/includes/header.php';

?>
        <h2 class="blueHeader"><?php $lang->_e('Assets'); ?> &gt; <?php $lang->_e('Files'); ?> &gt; <?php $lang->_e('Add a File or Files'); ?></h2>
<?php

// Check if an add file form has been submitted and has returned with errors.
if (isset($sess->add_files_form)) {

    try {

        if (isset($sess->file_error)) {
            print($sess->file_error);
        }

        $sess->add_files_form->render();

    } catch (Exception $e) {

        unset($sess->add_files_form);
        unset($sess->file_error);

        $form = new Phire_Form_AddFile('../core/process/add.files.php', 'post', '        ');
        $form->init(array('plugin' => $plugin));
        $form->render();

    }

// Else, initialize and render a new add file form.
} else {

    $form = new Phire_Form_AddFile('../core/process/add.files.php', 'post', '        ');
    $form->init(array('plugin' => $plugin));

    if (isset($sess->file_error)) {
        print($sess->file_error);
    }

    $form->render();

}

include_once '../core/includes/footer.php';

?>