<?php

/**
 * Phire Assets Edit Event
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../bootstrap.php';
require_once '../core/process/session.check.php';

include_once '../core/process/init.php';
include_once '../core/includes/header.php';

if (!isset($_GET['eid'])) {

    if (isset($_GET['plugin'])) {
        header('Location: ' . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $_GET['plugin'] .'/');
    } else {
        header('Location: ./events.php');
    }

} else {

    // Get the user data.
    $event = new Phire_Table_Events();
    $event->findById($_GET['eid']);

    if ((!isset($event->event_id)) || (!in_array($event->site_id, $sess->sites)) || (($sess->access != 'Admin') && ($sess->open_authoring[$event->site_id] == 'Off') && ($event->user_id != 0) && ($sess->user_id != $event->user_id))) {

        if (isset($_GET['plugin'])) {
            header('Location: ' . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $_GET['plugin'] .'/');
        } else {
            header('Location: ./events.php');
        }

    } else {

?>
        <h2 class="blueHeader"><?php $lang->_e('Assets'); ?> &gt; <?php $lang->_e('Event'); ?> &gt; <?php print($event->event_title); ?></h2>
<?php

        // Check if an edit event form has been submitted and has returned with errors.
        if (isset($sess->edit_event_form)) {

            try {

                $sess->edit_event_form->render();

            } catch (Exception $e) {

                unset($sess->edit_event_form);

                $form = new Phire_Form_Event('../core/process/edit.event.php?eid=' . $event->event_id, 'post', '        ');
                $form->init(array('plugin' => $plugin, 'event_id' => $event->event_id));
                $form->render();

            }

        // Else, initialize and render a new edit event form.
        } else {

            $form = new Phire_Form_Event('../core/process/edit.event.php?eid=' . $event->event_id, 'post', '        ');
            $form->init(array('plugin' => $plugin, 'event_id' => $event->event_id));
            $form->render();

        }

        include_once '../core/includes/footer.php';

    }

}

?>