<?php

/**
 * Phire Content Edit Comment
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../bootstrap.php';
require_once '../core/process/session.check.php';

include_once '../core/process/init.php';
include_once '../core/includes/header.php';

if (!isset($_GET['cid'])) {

    header('Location: ./comments.php');

} else {

    // Get the comment data.
    $comment = new Phire_Table_Comments();
    $comment->findById($_GET['cid']);

    if (!isset($comment->comment_id)) {

        header('Location: ./comments.php');

    } else {

        $page = new Phire_Table_Pages();
        $page->getPage($comment->page_id);

        if (!in_array($page->site_id, $sess->sites)) {

            header('Location: ./comments.php');

        } else {

?>
        <h2 class="blueHeader"><?php $lang->_e('Content'); ?> &gt; <?php $lang->_e('Comments'); ?> &gt; <?php $lang->_e('Edit Comment'); ?></h2>
<?php

            // Check if an edit comment form has been submitted and has returned with errors.
            if (isset($sess->edit_comment_form)) {

                try {

                    $sess->edit_comment_form->render();

                } catch (Exception $e) {

                    unset($sess->edit_comment_form);

                    $form = new Phire_Form_EditComment('../core/process/edit.comment.php?cid=' . $comment->comment_id, 'post', '        ');
                    $form->init(array('plugin' => $plugin, 'comment_id' => $comment->comment_id));
                    $form->render();

                }

            // Else, initialize and render a new edit comment form.
            } else {

                $form = new Phire_Form_EditComment('../core/process/edit.comment.php?cid=' . $comment->comment_id, 'post', '        ');
                $form->init(array('plugin' => $plugin, 'comment_id' => $comment->comment_id));
                $form->render();

            }

            include_once '../core/includes/footer.php';

        }

    }

}

?>