<?php

/**
 * Phire Check Docroot
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';

// Check to see if the docroot exists.
if (isset($_GET['docroot'])) {

    if (($_GET['docroot'] != '') && (!file_exists($_GET['docroot']))) {
        print("<em class=\"error\" style=\"margin: 0; padding: 5px 0;\">" . $lang->__('That document root does not exist. Please enter a document root that exists.') . "</em>");
    } else if (($_GET['docroot'] != '') && ($_GET['site_id'] != '2001') && ((!file_exists($_GET['docroot'] . BASE_PATH . '/index.php')) || (!file_exists($_GET['docroot'] . BASE_PATH . CONTENT_PATH . '/')))) {
        print("<em class=\"error\" style=\"margin: 0; padding: 5px 0;\">" . $lang->__('The new site system files have not been installed in that document root.') . "</em>");
    } else if (($_GET['docroot'] != '') && (!Phire_Dirs::writable($_GET['docroot']))) {
        print("<em class=\"error\" style=\"margin: 0; padding: 5px 0;\">" . $lang->__('The necessary new site system files are not writable.') . "</em>");
    } else {
        print('');
    }

}

?>
