<?php

/**
 * Phire Mobile Get Templates
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/../config.check.php';

$add = $lang->__('Add Template');
$tmpl_nme = $lang->__('Template Name');
$copy = $lang->__('Copy?');
$remove = $lang->__('Remove?');
$remove_btn = strtoupper($lang->__('Remove'));

$int_sort_id = 'template_id';
$tableHeader = "<tr><td class=\"grayHeader\" style=\"padding: 0 0 0 10px; text-align: left;\"><a class=\"grayLink\" href=\"./templates.php?sort=template_name\">{$tmpl_nme}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 20%; text-align: center;\"><strong>{$copy}</strong></td><td class=\"grayHeader\" style=\"padding: 0; width: 20%; text-align: center;\"><strong>{$remove}</strong></td></tr>";

require_once '../../core/process/calculate.sort.php';

try {

    // Execute the SQL query.
    $tmpls = new Phire_Table_Templates();
    $tmpls->execute("SELECT * FROM " . DB_PREFIX . "templates WHERE site_id = '" . $sess->cur_site_id . "' ORDER BY " . $sort);

    if (isset($tmpls->rows[0])) {

        // Print the table header.
        print <<<TABLEHEADER
        <form id="tmplsForm" action="../../core/process/remove.templates.php" method="post">
            <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><a class="orangeLink" href="./add-template.php">[+] {$add}</a></td></tr></table>
            <table id="dataTable" cellpadding="0" cellspacing="0">
                {$tableHeader}

TABLEHEADER;

        // Iterate through each template, formatting and printing it to a row.
        foreach ($tmpls->rows as $tmpl) {

            $template_name = Moc10_String::setString($tmpl->template_name)->strip()->html();

            $site = new Phire_Table_Sites();
            $site->findById($tmpl->site_id);

            $type = new Phire_Table_ContentTypes();
            $type->findById($tmpl->type_id);

            $theme = new Phire_Table_Themes();
            $theme->findById($tmpl->theme_id);

            $theme_name = (isset($theme->theme_id)) ? $theme->theme_name : '&nbsp;';

            print("                <tr><td style=\"padding: 0 0 0 10px;\"><a href=\"./edit-template.php?tid={$tmpl->template_id}\">{$template_name}</a></td><td style=\"text-align: center;\"><a class=\"copyLink\" href=\"../../core/process/copy.template.php?tid={$tmpl->template_id}&mobile=true\" title=\"Copy Template\"><span class=\"hide\">Copy Template</span></a></td><td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" name=\"rm_tmpls[]\" value=\"{$tmpl->template_id}\" /></td></tr>\n");

        }

        // Print the table footer.
        print <<<TABLEFOOTER
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><input style="float: right;" type="submit" class="submitBtnRed" value="{$remove_btn}" /><input type="hidden" name="mobile" value="true" /></td></tr></table>
        </form>

TABLEFOOTER;

    // Else, print a no results table.
    } else {

        $notmpls = $lang->__('There are currently no templates.');

        print <<<TABLEHEADER
        <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><a class="orangeLink" href="./add-template.php">[+] {$add}</a></td></tr></table>
        <table id="dataTable" cellpadding="0" cellspacing="0">
            {$tableHeader}
            <tr><td colspan="3" style="padding: 25px;">{$notmpls}</td></tr>
        </table>

TABLEHEADER;

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
