<?php

/**
 * Phire Remove Images
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';

try {

    // Get the images to remove.
    $rm_images = array();
    $rm_images = $_POST['rm_images'];

    if (isset($rm_images[0])) {

        foreach ($rm_images as $value) {

            $image = new Phire_Table_Images();
            $image->findById($value);

            $site = new Phire_Table_Sites();
            $site->findById($image->site_id);

            if (file_exists($site->site_docroot . BASE_PATH . CONTENT_PATH . '/assets/images/large/' . $image->image_name)) {
                unlink($site->site_docroot . BASE_PATH . CONTENT_PATH . '/assets/images/large/' . $image->image_name);
            }
            if (file_exists($site->site_docroot . BASE_PATH . CONTENT_PATH . '/assets/images/medium/' . $image->image_name)) {
                unlink($site->site_docroot . BASE_PATH . CONTENT_PATH . '/assets/images/medium/' . $image->image_name);
            }
            if (file_exists($site->site_docroot . BASE_PATH . CONTENT_PATH . '/assets/images/small/' . $image->image_name)) {
                unlink($site->site_docroot . BASE_PATH . CONTENT_PATH . '/assets/images/small/' . $image->image_name);
            }
            $image->delete();

        }

        if (isset($_POST['plugin'])) {
            header('Location: ' . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $_POST['plugin'] . '/?action=removed&sys_path=' . BASE_PATH . SYS_PATH);
        } else {
            header('Location: ' . BASE_PATH . SYS_PATH . '/' . ((isset($_POST['mobile'])) ? 'mobile/' : '') . 'assets/images.php?action=removed');
        }

    } else {

        if (isset($_POST['plugin'])) {
            header('Location: ' . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $_POST['plugin'] . '/?sys_path=' . BASE_PATH . SYS_PATH);
        } else {
            header('Location: ' . BASE_PATH . SYS_PATH . '/' . ((isset($_POST['mobile'])) ? 'mobile/' : '') . 'assets/images.php');
        }

    }

// Else throw a exception/error.
} catch (Exception $e) {

    include_once 'init.php';
    include_once '../includes/error.header.php';
    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 0 0;\">" . $e->getMessage() . "</p>\n");
    include_once '../includes/footer.php';

}

?>
