<?php

/**
 * Phire Remove Plugins
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';

try {

    // Get the plugins to remove.
    $rm_plugins = array();
    $rm_plugins = $_POST['rm_plugins'];

    if (isset($rm_plugins[0])) {

        foreach ($rm_plugins as $value) {

            // Get the plugin.
            $plugin = new Phire_Table_Plugins();
            $plugin->findById($value);

            // Get the site.
            $site = new Phire_Table_Sites();
            $site->findById($plugin->site_id);

            // Get the system docroot.
            $sysdocroot = new Phire_Table_Config();
            $sysdocroot->findById('system_docroot');

            // Retrieve and drop any plugin DB tables.
            $tableAry = array();
            $tableAry = explode('|', $plugin->plugin_tables);

            if ($plugin->plugin_tables != '') {
                $db = Moc10_Db::getInstance();
                $tables = $db->interface->getTables();
                foreach ($tableAry as $tab) {
                    if (in_array($tab, $tables)) {
                        $db->interface->query('DROP TABLE ' . $tab);
                    }
                }
            }

            // Remove any plugin sub folders and files.
            $subAry = array();
            $subAry = explode('|', $plugin->plugin_subfolders);

            if ($plugin->plugin_subfolders != '') {
                foreach ($subAry as $sub) {
                    if (file_exists($site->site_docroot . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $plugin->plugin_folder . '/' . $sub) && is_dir($site->site_docroot . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $plugin->plugin_folder . '/' . $sub)) {
                        $dir = new Moc10_File_Dir($site->site_docroot . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $plugin->plugin_folder . '/' . $sub, true, true);
                        foreach ($dir->files as $fle) {
                            if ((file_exists($fle)) && (is_file($fle))) {
                                unlink($fle);
                            }
                        }
                        foreach ($dir->files as $fle) {
                            if ((file_exists($fle)) && (is_dir($fle))) {
                                rmdir($fle);
                            }
                        }
                        $dir->emptyDir($dir->path);
                    }
                }
            }

            // Remove the plugin file under the site root.
            if (($plugin->plugin_file != '') && (file_exists($site->site_docroot . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $plugin->plugin_file))) {
                unlink($site->site_docroot . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $plugin->plugin_file);
            }

            // Remove the plugin file under the system root.
            if (($plugin->plugin_file != '') && (file_exists($sysdocroot->value . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $plugin->plugin_file))) {
                unlink($sysdocroot->value . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $plugin->plugin_file);
            }

            // Clean out and remove any plugin files and folders under the site root.
            if (file_exists($site->site_docroot . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $plugin->plugin_folder) && is_dir($site->site_docroot . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $plugin->plugin_folder)) {
                $dir = new Moc10_File_Dir($site->site_docroot . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $plugin->plugin_folder, true, true);

                foreach ($dir->files as $fle) {
                    if ((file_exists($fle)) && (is_file($fle))) {
                        unlink($fle);
                    }
                }

                foreach ($dir->files as $fle) {
                    if ((file_exists($fle)) && (is_dir($fle))) {
                        rmdir($fle);
                    }
                }
                $dir->emptyDir($dir->path);
            }

            // Clean out and remove any plugin files and folders under the system root.
            if (file_exists($sysdocroot->value . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $plugin->plugin_folder) && is_dir($sysdocroot->value . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $plugin->plugin_folder)) {
                $sysdir = new Moc10_File_Dir($sysdocroot->value . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $plugin->plugin_folder, true, true);

                foreach ($sysdir->files as $fle) {
                    if ((file_exists($fle)) && (is_file($fle))) {
                        unlink($fle);
                    }
                }

                foreach ($sysdir->files as $fle) {
                    if ((file_exists($fle)) && (is_dir($fle))) {
                        rmdir($fle);
                    }
                }
                $sysdir->emptyDir($sysdir->path);
            }

            // Remove the plugin folder under the site root.
            if (file_exists($site->site_docroot . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $plugin->plugin_folder) && is_dir($site->site_docroot . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $plugin->plugin_folder)) {
                rmdir($site->site_docroot . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $plugin->plugin_folder);
            }
            // Remove the plugin folder under the system root.
            if (file_exists($sysdocroot->value . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $plugin->plugin_folder) && is_dir($sysdocroot->value . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $plugin->plugin_folder)) {
                rmdir($sysdocroot->value . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $plugin->plugin_folder);
            }

            // Remove the plugin.
            $plugin->delete();

        }

        if (isset($_POST['plugin'])) {
            header('Location: ' . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $_POST['plugin'] . '/?action=removed&sys_path=' . BASE_PATH . SYS_PATH);
        } else {
            header('Location: ' . BASE_PATH . SYS_PATH . '/extensions/plugins.php?action=removed');
        }

    } else {

        if (isset($_POST['plugin'])) {
            header('Location: ' . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $_POST['plugin'] . '/?sys_path=' . BASE_PATH . SYS_PATH);
        } else {
            header('Location: ' . BASE_PATH . SYS_PATH . '/extensions/plugins.php');
        }

    }

// Else throw a exception/error.
} catch (Exception $e) {

    include_once 'init.php';
    include_once '../includes/error.header.php';
    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 0 0;\">" . $e->getMessage() . "</p>\n");
    include_once '../includes/footer.php';

}

?>
