<?php

/**
 * Phire System Edit Member
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../bootstrap.php';
require_once '../core/process/session.check.php';
require_once '../core/process/session.access.check.php';

include_once '../core/process/init.php';
include_once '../core/includes/header.php';

if (!isset($_GET['mid'])) {
    header('Location: ./members.php');
} else {

    // Get the member data.
    $member =  new Phire_Table_Members();
    $member->findById($_GET['mid']);

    if (!isset($member->member_id)) {

        header('Location: ./members.php');

    } else {

?>
        <h2 class="blueHeader"><?php $lang->_e('System'); ?> &gt; <?php $lang->_e('Members'); ?> &gt; <?php print($member->email); ?></h2>
<?php

        // Check if an edit member form has been submitted and has returned with errors.
        if (isset($sess->edit_member_form)) {

            try {

                $sess->edit_member_form->render();

            } catch (Exception $e) {

                unset($sess->edit_member_form);

                $form = new Phire_Form_Member('../core/process/edit.member.php?mid=' . $member->member_id, 'post', '        ');
                $form->init(array('plugin' => $plugin, 'member_id' => $member->member_id));
                $form->render();

            }

        // Else, initialize and render a new edit member form with the member data.
        } else {

            $form = new Phire_Form_Member('../core/process/edit.member.php?mid=' . $member->member_id, 'post', '        ');
            $form->init(array('plugin' => $plugin, 'member_id' => $member->member_id));
            $form->render();

        }

        include_once '../core/includes/footer.php';

    }

}

?>