<?php

/**
 * Phire System Edit User
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../bootstrap.php';
require_once '../core/process/session.check.php';
require_once '../core/process/session.admin.check.php';

include_once '../core/process/init.php';
include_once '../core/includes/header.php';

if (!isset($_GET['uid'])) {
    header('Location: ./users.php');
} else {

    // Get the user data.
    $user =  new Phire_Table_Users();
    $user->findById($_GET['uid']);

    if (!isset($user->user_id)) {

        header('Location: ./users.php');

    } else {

?>
        <h2 class="blueHeader"><?php $lang->_e('System'); ?> &gt; <?php $lang->_e('Users'); ?> &gt; <?php print($user->fname . ' ' . $user->lname); ?></h2>
<?php

        // Check if an edit user form has been submitted and has returned with errors.
        if (isset($sess->edit_user_form)) {

            try {

                $sess->edit_user_form->render();

            } catch (Exception $e) {

                unset($sess->edit_user_form);

                $form = new Phire_Form_EditUser('../core/process/edit.user.php?uid=' . $user->user_id, 'post', '        ');
                $form->init(array('plugin' => $plugin, 'user_id' => $user->user_id));
                $form->render();

            }

        // Else, initialize and render a new edit user form with the user data.
        } else {

            $form = new Phire_Form_EditUser('../core/process/edit.user.php?uid=' . $user->user_id, 'post', '        ');
            $form->init(array('plugin' => $plugin, 'user_id' => $user->user_id));
            $form->render();

        }

        include_once '../core/includes/footer.php';

    }

}

?>