<?php

/**
 * Phire System Import Members
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../bootstrap.php';
require_once '../core/process/session.check.php';
require_once '../core/process/session.access.check.php';

include_once '../core/process/init.php';
include_once '../core/includes/header.php';

?>
        <h2 class="blueHeader"><?php $lang->_e('System'); ?> &gt; <?php $lang->_e('Members'); ?> &gt; <?php $lang->_e('Import Members'); ?></h2>
<?php

// Check if the import member form has been submitted and has returned with errors.
if (isset($sess->import_members_form)) {

    try {

        if (isset($sess->csv_file_error)) {
            print($sess->csv_file_error);
        }

        $sess->import_members_form->render();

    } catch (Exception $e) {

        unset($sess->csv_file_error);
        unset($sess->import_members_form);

        $form = new Phire_Form_ImportMembers('../core/process/import.members.php', 'post', '        ');
        $form->init(array('plugin' => $plugin));
        $form->render();

    }

// Else, initialize and render a new import member form.
} else {

    $form = new Phire_Form_ImportMembers('../core/process/import.members.php', 'post', '        ');
    $form->init(array('plugin' => $plugin));
    $form->render();

}

include_once '../core/includes/footer.php';

?>