<?php

/**
 * Phire System Update
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

ignore_user_abort(true);
set_time_limit(0);

require_once '../bootstrap.php';
require_once '../core/process/session.check.php';
require_once '../core/process/session.admin.check.php';

include_once '../core/process/init.php';
include_once '../core/includes/header.php';

?>
        <h2 class="blueHeader"><?php $lang->_e('System'); ?> &gt; <?php $lang->_e('Update'); ?> &gt; v <?php print($sess->update_version); ?></h2>
        <p style="width: 95%; margin: 0 auto; padding: 5px 0 10px 0;">
            <strong><?php $lang->_e('Version %1 of Phire CMS is available.', $sess->update_version . '</strong>') ; ?> <?php $lang->_e('You can either download the %1update%2 or %3full version%4 and install it manually,%5or you can submit your FTP credentials below and have the system automatically perform the update for you.', array("<a href=\"http://www.phirecms.org/updates/" . $sess->update_version . "/phire-cms-" . $sess->update_version . "-update.zip\">", "</a>", "<a href=\"http://www.phirecms.org/download\">", "</a>", "<br />")); print("\n"); ?>
        </p>
        <p style="width: 95%; margin: 0 auto; padding: 5px 0 10px 0;">
            <em class="orange"><?php $lang->_e('It is recommended that you make a backup of all of your files and your database before continuing.'); ?></em>
        </p>
<?php

if (isset($_GET['error'])) {
    print("        <p style=\"color: #f00; width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\"><strong>" . $lang->__('There was an error with the FTP credentials you submitted. Please check them and try again.') . "</strong></p>\n");
}

$form = new Phire_Form_Update('./update.php', 'post', '        ');

if ($_POST) {

    print("        <div style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\"><img style=\"float: left; margin: 0 10px 0 0;\" src=\"../core/images/loading_circle.gif\" width=\"40\" height=\"40\" /><span style=\"float: left; margin: 12px 0 0 0; color: #008aff; font-weight: bold;\">Downloading Updates...</span></div>\n");

    $options = array(CURLOPT_URL => 'http://www.phirecms.org/updates/get-updates.php',
                     CURLOPT_POST => TRUE,
                     CURLOPT_POSTFIELDS => $_POST,
                     CURLOPT_HEADER => FALSE,
                     CURLOPT_RETURNTRANSFER => TRUE);

    $curl = new Moc10_Curl($options);
    $response = $curl->execute();

    $resultPage = ($response == 'Success') ? BASE_PATH . CONTENT_PATH . "/update.php?version=" . $_POST['version'] . "&sp=" . $_POST['sys_path'] : "./update.php?error=true";
    print("        <script type=\"text/javascript\">window.location.href = '{$resultPage}';</script>\n");

} else {
    $form->init($sess->update_version);
    $form->render();
}

include_once '../core/includes/footer.php';

?>